Retrieve Spending Actionable Insight DetailsAsk AIget https://api-sandbox.thisisbud.com/insights/v1/actionable/spending/{type}/{id}/detailsRetrieve insight-specific details and transaction and account data responsible for the triggered income insight of the given type and ID.Path ParamstypestringrequiredA type of spending insight available on the platform.idstringrequiredThe insight ID to provide data for,Query ParamsfromstringA start time to check financial data for insights from. Configures the earliest financial data which may be used to generate insights. If omitted, defaults to the start of the sixth complete month prior to the latest ingested financial data. Note that some insights will only be checked for complete months entirely between the from and to dates.tostringAn end time to check financial data for insights up to. Configures the latest financial data which may be used to generate insights. If omitted, defaults to the date of the latest ingested financial data. Note that some insights will only be checked for complete months entirely between the from and to dates. Insights relating to potential future events, such as cannot_cover_bills, may forecast them up to a month after this point.late_payment.minimum_value_thresholdnumberA minimum value of a late transaction in that transaction's currency for the insight to trigger. Both late_payment.minimum_value_threshold and late_payment.minimum_days_late_threshold must be met to trigger. If not specified, a configured value will be used.late_payment.minimum_days_late_thresholdnumberA minimum number of days late for a transaction to be for the insight to trigger. Both late_payment.minimum_value_threshold and late_payment.minimum_days_late_threshold must be met to trigger. If not specified, a configured value will be used.regular_payment_changed.minimum_absolute_change_thresholdnumberA minimum absolute change between the previous and latest amounts of a regular payment for the insight to trigger. Both regular_payment_changed.minimum_absolute_change_threshold and regular_payment_changed.minimum_percentage_change_threshold must be met to trigger. If not specified, a configured value will be used.regular_payment_changed.minimum_percentage_change_thresholdnumberA minimum percentage change between the previous and latest amounts of a regular payment for the insight to trigger. Both regular_payment_changed.minimum_absolute_change_threshold and regular_payment_changed.minimum_percentage_change_threshold must be met to trigger. If not specified, a configured value will be used.HeadersX-Client-IdstringrequiredThe API Client Identifier (Service Application Identifier).X-Customer-IduuidrequiredBud Customer identifierX-Customer-SecretstringThe Bud Customer secret used to encrypt customer data. This is optional only if the customer secret is already stored with Bud (i.e. the host_secret was set to true in the Customer Context when the customer was created).Response 200OKUpdated 7 months ago